Package de.willuhn.jameica.hbci.accounts.hbci.views

# Class AbstractHBCIAccountView

java.lang.Object
de.willuhn.jameica.gui.AbstractView
de.willuhn.jameica.hbci.accounts.hbci.views.AbstractHBCIAccountView

Direct Known Subclasses:
  `HBCIAccountNew`, `HBCIVariantPinTanStep1`, `HBCIVariantPinTanStep2`

public abstract class AbstractHBCIAccountView extends de.willuhn.jameica.gui.AbstractView
Abstrakte Basis-View zum Erstellen neuer HBCI-Accounts.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHBCIAccountView()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.swt.widgets.Composite`
`getComposite(de.willuhn.jameica.gui.parts.InfoPanel panel)`
Liefert das Composite des Info-Panel kompatibel zu aelteren Jameica-Versionen.
`protected <T> T`
`getController(Class<? extends de.willuhn.jameica.gui.AbstractControl> type)`
Liefert den passenden Controller.

### Methods inherited from class de.willuhn.jameica.gui.AbstractView

`bind, canAttach, canBookmark, getCurrentObject, getHelp, getParent, reload, setCurrentObject, setParent, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### i18n

protected static final de.willuhn.util.I18N i18n

## Constructor Details

### AbstractHBCIAccountView

public AbstractHBCIAccountView()

## Method Details

### getController

protected <T> T getController(Class<? extends de.willuhn.jameica.gui.AbstractControl> type)
Liefert den passenden Controller.

Parameters:
  `type` - der gewuenschte Typ des Controllers.
Returns:
  der Controller.

### getComposite

protected org.eclipse.swt.widgets.Composite getComposite(de.willuhn.jameica.gui.parts.InfoPanel panel) throws Exception
Liefert das Composite des Info-Panel kompatibel zu aelteren Jameica-Versionen.

Parameters:
  `panel` - das Panel.
Returns:
  das Composite.
Throws:
  `Exception`